Bug 1529593 - Review Request: adapta-gtk-theme - An adaptive Gtk+ theme based on Material Design Guidelines
Summary: Review Request: adapta-gtk-theme - An adaptive Gtk+ theme based on Material D...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-28 20:33 UTC by Björn 'besser82' Esser
Modified: 2018-02-05 15:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-05 15:30:54 UTC
leigh123linux: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-12-28 20:33:42 UTC
Description:

  An adaptive Gtk+ theme based on Material Design Guidelines.


Issues:

  fedora-review shows no obvious issues.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/adapta-gtk-theme.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/adapta-gtk-theme-3.92.2.63-0.1.fc28.src.rpm


Thanks for review in advance!

Comment 5 leigh scott 2017-12-29 19:51:56 UTC
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "CC by-sa (v4.0)", "Unknown or generated".
     447 files have unknown license. Detailed output of licensecheck in
     /home/leigh/Desktop/1529593-adapta-gtk-theme/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: adapta-gtk-theme-3.92.2.63-0.4.fc28.noarch.rpm
          adapta-gtk-theme-gedit-3.92.2.63-0.4.fc28.noarch.rpm
          adapta-gtk-theme-plank-3.92.2.63-0.4.fc28.noarch.rpm
          adapta-gtk-theme-3.92.2.63-0.4.fc28.src.rpm
adapta-gtk-theme-gedit.noarch: W: dangling-symlink /usr/share/gtksourceview-3.0/styles/adapta.xml /usr/share/themes/Adapta/gedit/adapta.xml
adapta-gtk-theme-plank.noarch: W: no-documentation
adapta-gtk-theme-plank.noarch: W: dangling-symlink /usr/share/plank/themes/Adapta/dock.theme /usr/share/themes/Adapta/plank/dock.theme
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
adapta-gtk-theme.noarch: W: invalid-url URL: https://github.com/adapta-project/adapta-gtk-theme <urlopen error [Errno -2] Name or service not known>
adapta-gtk-theme-plank.noarch: W: invalid-url URL: https://github.com/adapta-project/adapta-gtk-theme <urlopen error [Errno -2] Name or service not known>
adapta-gtk-theme-plank.noarch: W: no-documentation
adapta-gtk-theme-plank.noarch: W: dangling-symlink /usr/share/plank/themes/Adapta/dock.theme /usr/share/themes/Adapta/plank/dock.theme
adapta-gtk-theme-gedit.noarch: W: invalid-url URL: https://github.com/adapta-project/adapta-gtk-theme <urlopen error [Errno -2] Name or service not known>
adapta-gtk-theme-gedit.noarch: W: dangling-symlink /usr/share/gtksourceview-3.0/styles/adapta.xml /usr/share/themes/Adapta/gedit/adapta.xml
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
adapta-gtk-theme (rpmlib, GLIBC filtered):
    gnome-themes-standard
    google-noto-sans-fonts
    google-roboto-fonts
    gtk2-engines

adapta-gtk-theme-plank (rpmlib, GLIBC filtered):
    adapta-gtk-theme
    plank

adapta-gtk-theme-gedit (rpmlib, GLIBC filtered):
    adapta-gtk-theme
    gtksourceview3



Provides
--------
adapta-gtk-theme:
    adapta-gtk-theme

adapta-gtk-theme-plank:
    adapta-gtk-theme-plank

adapta-gtk-theme-gedit:
    adapta-gtk-theme-gedit



Source checksums
----------------
https://github.com/adapta-project/adapta-gtk-theme/archive/3.92.2.63.tar.gz#/adapta-gtk-theme-3.92.2.63.tar.gz :
  CHECKSUM(SHA256) this package     : 7c38a880889c4e0a8dfd2385740f5a3e004dc0e2178e62ddfb61418b31a59ee2
  CHECKSUM(SHA256) upstream package : 7c38a880889c4e0a8dfd2385740f5a3e004dc0e2178e62ddfb61418b31a59ee2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1529593
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Gwyn Ciesla 2018-01-02 14:01:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/adapta-gtk-theme. You may commit to the branch "f27" in about 10 minutes.

Comment 7 Fedora Update System 2018-01-02 14:39:11 UTC
adapta-gtk-theme-3.92.2.63-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7250356701

Comment 8 Fedora Update System 2018-01-02 14:39:18 UTC
adapta-gtk-theme-3.92.2.63-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3e94e1930

Comment 9 Fedora Update System 2018-01-02 14:39:23 UTC
adapta-gtk-theme-3.92.2.63-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-07b797be5e

Comment 10 Fedora Update System 2018-01-02 17:36:11 UTC
adapta-gtk-theme-3.92.2.63-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3e94e1930

Comment 11 Fedora Update System 2018-01-02 17:49:46 UTC
adapta-gtk-theme-3.92.2.63-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-07b797be5e

Comment 12 Fedora Update System 2018-01-02 19:07:19 UTC
adapta-gtk-theme-3.92.2.63-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7250356701

Comment 13 Fedora Update System 2018-01-03 21:32:54 UTC
adapta-gtk-theme-3.92.2.63-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-01-10 22:23:38 UTC
adapta-gtk-theme-3.92.2.63-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-01-14 13:52:59 UTC
adapta-gtk-theme-3.93.0.43-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bbbb28781a

Comment 16 Fedora Update System 2018-01-15 19:16:58 UTC
adapta-gtk-theme-3.93.0.43-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bbbb28781a

Comment 17 Fedora Update System 2018-01-16 14:07:30 UTC
adapta-gtk-theme-3.93.0.49-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b81e1bdce9

Comment 18 Fedora Update System 2018-01-16 18:11:39 UTC
adapta-gtk-theme-3.93.0.49-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b81e1bdce9

Comment 19 Fedora Update System 2018-01-17 15:25:12 UTC
adapta-gtk-theme-3.93.0.56-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b81e1bdce9

Comment 20 Fedora Update System 2018-01-18 00:30:56 UTC
adapta-gtk-theme-3.93.0.56-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b81e1bdce9

Comment 21 Fedora Update System 2018-01-19 18:42:23 UTC
adapta-gtk-theme-3.93.0.66-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9789110634

Comment 22 Fedora Update System 2018-01-21 12:58:23 UTC
adapta-gtk-theme-3.93.0.66-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9789110634

Comment 23 Fedora Update System 2018-02-05 15:30:54 UTC
adapta-gtk-theme-3.93.0.66-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.